#!/usr/bin/env python3

import rainbow_config

def generate_item(n):
    v = []
    for i in range(0, rainbow_config.N):
        v.append(str(n % 10))
        n = int(n / 10)
    v.reverse()
    return ''.join(v)

def generate_range(a, b):
    v = []
    for i in range(a, b):
        v.append(generate_item(i))
    return v

def generate_all():
    return generate_range(0, pow(10, rainbow_config.N))

if __name__ == "__main__":
    for x in generate_all():
        print(x)
